-- Localization for LOTRO client languages

-- Shorthand for languages
local en = Turbine.Language.English;
local fr = Turbine.Language.French;
local de = Turbine.Language.German;
local ru = Turbine.Language.Russian;
--local pt = Turbine.Language.Portuguese;

--local text = {};
text = {};

-- Hello message that appears when plugin is loaded
--text.HelloMessage = {
--    [en] = "<u><rgb=#DAA520>SequenceBars v<version>, by Thurallor</rgb></u>";
--    [de] = "<u><rgb=#DAA520>Sequenzleisten v<version> von Thurallor</rgb></u>";
--    [fr] = "<u><rgb=#DAA520>SequenceBars v<version>, par Thurallor</rgb></u>";
--    [pt] = "<u><rgb=#DAA520>SequenceBars v<version>, por Thurallor</rgb></u>";
--    [ru] = "<u><rgb=#DAA520>SequenceBars v<version> от Thurallor</rgb></u>"
--};
--text.PutsPrefix = {
--    [en] = "<rgb=#DAA520>SequenceBars:</rgb> ";
--    [de] = "<rgb=#DAA520>Sequenzleisten:</rgb> ";
--    [fr] = "<rgb=#DAA520>SequenceBars :</rgb> ";
--    [pt] = "<rgb=#DAA520>SequenceBars:</rgb> ";
--    [ru] = "<rgb=#DAA520>SequenceBars:</rgb> ";
--};
--
--text.TranslationHelpWanted = {
--    [en] = "Some items (denoted by †) have been machine-translated.  If you can help with translations, please contact Thurallor.";
--    [de] = "Einige Elemente (gekennzeichnet durch †) wurden maschinell übersetzt.  Wenn Sie uns bei Übersetzungen helfen können, wenden Sie sich bitte an Thurallor.";
--    [fr] = "Certains éléments (marqués par †) ont été traduits par machine.  Si vous pouvez nous aider avec les traductions, veuillez contacter Thurallor.";
--    [pt] = "Alguns itens (indicados por †) foram traduzidos à máquina.  Para ajudar na tradução, entre em contato com Thurallor.";
--    [ru] = "Russian translation help needed.  Please contact Thurallor."
--};
--text.GoodbyeMessage = {
--    [en] = "unloaded";
--    [de] = "entladen";
--    [fr] = "déchargé";
--    [pt] = "descarregado";
--    [ru] = "?"
--};
--
---- Verbose help windows
--text.Help = {};
--
---- Chat command for controlling SequenceBars plugin
--text.ShellCommand = {};
--text.ShellCommand.Command = {
--    [en] = "calendar";
--    [de] = "calendar";
--    [fr] = "calendar";
--    [pt] = "calendar";
--    [ru] = "calendar"
--};
--text.ShellCommand.Options = {
--    [en] = "options";
--    [de] = "optionen";
--    [fr] = "options";
--    [pt] = "opções";
--    [ru] = "options"
--};
--text.ShellCommand.Event = {
--    [en] = "event";
--    [de] = "ereignis";
--    [fr] = "évènement";
--    [pt] = "evento";
--    [ru] = "event"
--};
--text.ShellCommand.ShortHelp = {
--    [en] = "Command for controlling the SequenceBars plugin.";
--    [de] = "Befehl zum Kontrollieren des Sequenzleisten Plugins.";
--    [fr] = "Commande pour controler le plugin SequenceBars.";
--    [pt] = "Comando para controlar o plugin SequenceBars.";
--    [ru] = "Команда для управления плагином SequenceBars."
--};
--text.ShellCommand.LongHelp = {
--    [en] = "SequenceBars commands:\n" ..
--           "    /sb options : Opens the main options panel.\n" ..
--           "    /sb event <event> : Triggers the specified user-defined <event>.\n" ..
--           "    /sb events : Lists the currently-defined events (if any).\n" ..
--           "    /sb sort <slots> : Sorts the items in the specified inventory bag slots.";
--    [de] = "Sequenzleisten Chatbefehle:\n" ..
--           "    /sb optionen : Öffnet das Hauptmenü.\n" ..
--           "    /sb ereignis <ereignisname> : Löst das benutzerdefinierte Ereignis <ereignisname> aus.\n" ..
--           "    /sb ereignisse : Listet alle aktuell definierten Ereignisse auf (wenn vorhanden).\n" ..
--           "    /sb sortieren <slots> : Sortiert die Gegenstände in die spezifierten Inventarfelder ein.";
--    [fr] = "Commandes pour SequenceBars:\n" ..
--           "    /sb options : Ouvre le panneau principal d'options.\n" ..
--           "    /sb évènement <évènement> : Déclenche l' <évènement> indiqué par l'utilisateur.\n" ..
--           "    /sb évènements : Liste les évènements courramment définis (le cas échéant).\n" ..
--		   "    /sb trier <emplacement> : Trie les objets pour les déplacer dans le bon emplacement d'inventaire.";
--    [pt] = "Opções do SequenceBars:\n" ..
--           "    /sb opcoes : Abre o painel principal de opções.\n" ..
--           "    /sb evento <event> : Dispara o <event> definido pelo usuário especificado.\n" ..
--           "    /sb eventos : Lista os eventos atualmente definidos (se houver).\n" ..
--           "    /sb ordenar <slots> : Ordena os itens nos slots das bolsas do inventário.";
--    [ru] = "Команды плагина SequenceBars:\n" ..
--           "    /sb options : Открыть настройки плагина.\n" ..
--           "    /sb event <event> : Вызвать пользовательское событие <event>.\n" ..
--           "    /sb events : Показать список пользовательских событий (если есть).\n" ..
--           "    /sb sort <slots> : Sorts the items in the specified inventory bag slots.†";
--};

text.MONTHLABELS = {
    [en] = { "January","February","March","April","May","June","July","August","September","October","November","December"},
	[de] = {"Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"},
 	[fr] = {"Janvier","Février","Mars","Avril","Mai","Juin","Juillet","Août","Septembre","Octobre","Novembre","Décembre"},
 	--[pt] = {"Janeiro","Fevereiro","Março","Abril","Maio","Junho","Julho","Agosto","Setembro","Outubro","Novembro","Dezembro"},
    [ru] = {"январь","февраль","март","апрель","май","июнь","июль","август","сентябрь","октябрь","ноябрь","декабрь"},
}

-- Add translations to the global database (see Thurallor.Common.Utils.Locale.lua)
--L:AddText(text);
